<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnPoInwardTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('po_inward', function (Blueprint $table) {
            $table->date('delivery_challan_date')->nullable();
            $table->string('delivery_challan_no')->nullable();
            $table->string('invoice_no')->nullable();
            $table->date('invoice_date')->nullable();
            $table->bigInteger('transporter_details_id')->nullable()->unsigned();
            $table->foreign('transporter_details_id')->references('id')->on('transporter_details');
            $table->string('transporter_doc_no')->nullable();
            $table->string('vehicle_no')->nullable();
            $table->date('transportation_doc_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
